APIs / YouTube / Trending

YouTube: Trending

Trending from YouTube as JSON. 1 credit per successful call.

GET /v1/youtube/trendingNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
typestringOptionalnow, music, gaming, movies
glstringOptionalUp to 2 characters
hlstringOptionalUp to 2 characters
continuationstringOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/youtube/trending?type=music&gl=US" \
  -H "X-API-Key: $API_KEY"